## org.omg.PortableInterceptor
Class RequestInfoHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.RequestInfoHelper

public class RequestInfoHelper
extends java.lang.Object

Helper class for : RequestInfo

Author:
  OpenORB Compiler

Constructor Summary
`RequestInfoHelper()`

Method Summary
`static RequestInfo` `extract(Any a)` Extract RequestInfo from an any
`static java.lang.String` `id()` Return the RequestInfo IDL ID
`static void` `insert(Any a, RequestInfo t)` Insert RequestInfo into an any
`static RequestInfo` `narrow(Object obj)` Narrow CORBA::Object to RequestInfo
`static RequestInfo` `read(InputStream istream)` Read RequestInfo from a marshalled stream
`static TypeCode` `type()` Return the RequestInfo TypeCode
`static RequestInfo` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RequestInfo
`static void` `write(OutputStream ostream, RequestInfo value)` Write RequestInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestInfoHelper

    public RequestInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestInfo t)

  Insert RequestInfo into an any
  Parameters:
    `a` - an any
    `t` - RequestInfo value

### extract

    public static RequestInfo extract(Any a)

  Extract RequestInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestInfo value

### type

    public static TypeCode type()

  Return the RequestInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestInfo IDL ID
  Returns:
    an ID

### read

    public static RequestInfo read(InputStream istream)

  Read RequestInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestInfo value

### write

    public static void write(OutputStream ostream,
                             RequestInfo value)

  Write RequestInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestInfo value

### narrow

    public static RequestInfo narrow(Object obj)

  Narrow CORBA::Object to RequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestInfo Object

### unchecked_narrow

    public static RequestInfo unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestInfo Object